function $(aID) { return document.getElementById(aID); }
var feedFirstRun = {};

feedFirstRun.load = function() {
}

feedFirstRun.unload = function() {
}

feedFirstRun.mImported = false;
feedFirstRun.startPage = {};
feedFirstRun.startPage.show = function() {
    if($("listing").childNodes.length) return;
    var nameStart = "feeds.bundles.names_";
    var urlStart = "feeds.bundles.urls_";
    var count = 0;
    for(;;) {
        var nameKey = nameStart + count;
        var urlKey = urlStart + count;
        try {
            var name = $("strings").getString(nameKey);
            var url = $("strings").getString(urlKey);
        } catch(e) {
            break;
        }
        if(!name || !url) break;

        var cb = document.createElement("checkbox");
        $("listing").appendChild(cb);
        cb.setAttribute("checked", true);
        cb.setAttribute("label", name);
        cb.setAttribute("opmlFile", url);

        ++count;
    }
}

feedFirstRun.importingPage = {};
feedFirstRun.importingPage.show = function() {
    $("feedFirstRun").canAdvance = false;
    $("feedFirstRun").canRewind = false;
    window.setTimeout("feedFirstRun.importingPage.go()",0);
}

feedFirstRun.importingPage.go = function(aImport) {
    var checkboxes = document.getElementsByTagName("checkbox");
    for(var i=0;i<checkboxes.length;++i) {
        var checkbox = checkboxes[i];
        var opmlFile = checkbox.getAttribute("opmlFile");
        if(!opmlFile || !checkbox.checked) continue;
        // flag import
        feedFirstRun.mImported = true;
        if(aImport) feedUtils.loadFeedFromLocalOPML(opmlFile);
    }
    $("feedFirstRun").goTo("endPage");
}

feedFirstRun.finish = function() {
    feedFirstRun.importingPage.go(true);
}

feedFirstRun.endPage = {};
feedFirstRun.endPage.show = function() {
    if(feedFirstRun.mImported) $("feedFirstRun").canRewind = false;
    if(feedFirstRun.mImported) {
        $("deck").selectedPanel = $("importedDescription");
    }
    else {
        $("deck").selectedPanel = $("noImportedDescription");
    }
}

